svn commit: samba r12990 - branches/SAMBA_3_0/source/script/tests trunk/source/script/tests

jerry at samba.org jerry at samba.org
Wed Jan 18 04:45:00 GMT 2006


Author: jerry
Date: 2006-01-18 04:44:59 +0000 (Wed, 18 Jan 2006)
New Revision: 12990

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=12990

Log:
BUG 3329: patch from David May <mayd at cygnus.uwa.edu.au> for Solaris shell script portability issues in 'make test'
Modified:
   branches/SAMBA_3_0/source/script/tests/functions
   branches/SAMBA_3_0/source/script/tests/runtests.sh
   trunk/source/script/tests/functions
   trunk/source/script/tests/runtests.sh


Changeset:
Modified: branches/SAMBA_3_0/source/script/tests/functions
===================================================================
--- branches/SAMBA_3_0/source/script/tests/functions	2006-01-18 04:36:30 UTC (rev 12989)
+++ branches/SAMBA_3_0/source/script/tests/functions	2006-01-18 04:44:59 UTC (rev 12990)
@@ -34,7 +34,7 @@
 
 	## check to see if smbd is already running
 	check_smbd_running
-	if test $? == 0; then
+	if test $? = 0; then
 		echo "Unable to stop smbd!"
 		exit 2
 	fi
@@ -74,7 +74,7 @@
 
 	## check to see if smbd is already running
 	kill -0 $nmbd_pid 2> /dev/null
-	if test $? == 0; then
+	if test $? = 0; then
 		echo "Unable to stop nmbd!"
 		exit 2
 	fi

Modified: branches/SAMBA_3_0/source/script/tests/runtests.sh
===================================================================
--- branches/SAMBA_3_0/source/script/tests/runtests.sh	2006-01-18 04:36:30 UTC (rev 12989)
+++ branches/SAMBA_3_0/source/script/tests/runtests.sh	2006-01-18 04:44:59 UTC (rev 12990)
@@ -1,11 +1,11 @@
 #!/bin/sh
 
-if [ "x$1" == "x" ]; then
+if [ "x$1" = "x" ]; then
 	echo "$0 <directory>"
 	exit 1
 fi
 
-if [ $# == 2 ]; then
+if [ $# = 2 ]; then
 	testnum=$2
 fi
 
@@ -49,7 +49,7 @@
 ## verify that we were built with --enable-socket-wrapper
 ##
 
-if test "x`smbd -b | grep SOCKET_WRAPPER`" == "x"; then
+if test "x`smbd -b | grep SOCKET_WRAPPER`" = "x"; then
 	echo "***"
 	echo "*** You must include --enable-socket-wrapper when compiling Samba"
 	echo "*** in order to execute 'make test'.  Exiting...."

Modified: trunk/source/script/tests/functions
===================================================================
--- trunk/source/script/tests/functions	2006-01-18 04:36:30 UTC (rev 12989)
+++ trunk/source/script/tests/functions	2006-01-18 04:44:59 UTC (rev 12990)
@@ -34,7 +34,7 @@
 
 	## check to see if smbd is already running
 	check_smbd_running
-	if test $? == 0; then
+	if test $? = 0; then
 		echo "Unable to stop smbd!"
 		exit 2
 	fi
@@ -74,7 +74,7 @@
 
 	## check to see if smbd is already running
 	kill -0 $nmbd_pid 2> /dev/null
-	if test $? == 0; then
+	if test $? = 0; then
 		echo "Unable to stop nmbd!"
 		exit 2
 	fi

Modified: trunk/source/script/tests/runtests.sh
===================================================================
--- trunk/source/script/tests/runtests.sh	2006-01-18 04:36:30 UTC (rev 12989)
+++ trunk/source/script/tests/runtests.sh	2006-01-18 04:44:59 UTC (rev 12990)
@@ -1,11 +1,11 @@
 #!/bin/sh
 
-if [ "x$1" == "x" ]; then
+if [ "x$1" = "x" ]; then
 	echo "$0 <directory>"
 	exit 1
 fi
 
-if [ $# == 2 ]; then
+if [ $# = 2 ]; then
 	testnum=$2
 fi
 
@@ -49,7 +49,7 @@
 ## verify that we were built with --enable-socket-wrapper
 ##
 
-if test "x`smbd -b | grep SOCKET_WRAPPER`" == "x"; then
+if test "x`smbd -b | grep SOCKET_WRAPPER`" = "x"; then
 	echo "***"
 	echo "*** You must include --enable-socket-wrapper when compiling Samba"
 	echo "*** in order to execute 'make test'.  Exiting...."



More information about the samba-cvs mailing list